package cn.com.ctop.common.module.service.impl;

import cn.com.ctop.common.module.mapper.CustomDataByAccountMapper;
import cn.com.ctop.common.module.service.ICustomDataByAccountService;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CustomDataByAccountImpl implements ICustomDataByAccountService {

    @Autowired
    CustomDataByAccountMapper customDataByAccountMapper;

    @Override
    public JSONObject getKsGroupData(Long account, String date) {
        return customDataByAccountMapper.queryKsGroupData(account,date);
    }

    @Override
    public JSONObject getKsCampaignData(Long account, String date) {
        return customDataByAccountMapper.queryKsCampaignData(account,date);
    }

    @Override
    public JSONObject getKsAccountData(Long account, String date) {
        return customDataByAccountMapper.queryKsAccountData(account,date);
    }

    @Override
    public JSONObject getByCampaignData(Long account, String date) {
        return customDataByAccountMapper.queryByCampaignData(account,date);
    }

    @Override
    public JSONObject getByPlanData(Long account, String date) {
        return customDataByAccountMapper.queryByPlanData(account,date);
    }

    @Override
    public JSONObject getByAccountData(Long account, String date) {
        return customDataByAccountMapper.queryByAccountData(account,date);
    }
}
